"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _CinnectaBar = _interopRequireDefault(require("../../components/CinnectaBar/CinnectaBar"));

var _CinnectaNavbar = _interopRequireDefault(require("../../components/CinnectaNavbar/CinnectaNavbar"));

var _CinnectaClientSelector = _interopRequireDefault(require("../../components/CinnectaClientSelector/CinnectaClientSelector"));

var _Blanket = _interopRequireDefault(require("../../components/Blanket"));

var _icoMenu = _interopRequireDefault(require("./resources/images/ico-menu.svg"));

var _Responsive = require("../../components/Responsive");

var _withStyles = require("../../helpers/withStyles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var MainTemplate =
/*#__PURE__*/
function (_Component) {
  _inherits(MainTemplate, _Component);

  function MainTemplate(props) {
    var _this;

    _classCallCheck(this, MainTemplate);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(MainTemplate).call(this, props));
    _this.state = {
      navigationIsVisible: true
    };
    return _this;
  }

  _createClass(MainTemplate, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      console.log(this.props);

      if (this.props.breakpoint && prevProps.breakpoint !== this.props.breakpoint) {
        if (this.props.isGreaterThan('large')) {
          this.setState({
            navigationIsVisible: true
          });
        } else {
          this.setState({
            navigationIsVisible: false
          });
        }
      }
    }
  }, {
    key: "onLogout",
    value: function onLogout() {
      console.log('logout');
    }
  }, {
    key: "onHideNavigation",
    value: function onHideNavigation() {
      this.setState({
        navigationIsVisible: false
      });
    }
  }, {
    key: "onShowNavigation",
    value: function onShowNavigation() {
      this.setState({
        navigationIsVisible: true
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var navigationIsVisible = this.state.navigationIsVisible;
      var _this$props = this.props,
          css = _this$props.css,
          location = _this$props.location,
          styles = _this$props.styles;
      var locationPath = location.pathname.split('/');
      var activeLocation = locationPath.length > 1 ? locationPath[0] === '' ? locationPath[1] : locationPath[0] : locationPath[0];
      return _react.default.createElement(_react.Fragment, null, _react.default.createElement("div", css(styles.mainTemplate__navigation, navigationIsVisible && styles.mainTemplate__navigation_visible), _react.default.createElement(_CinnectaBar.default, {
        onLogout: function onLogout() {
          return _this2.onLogout();
        }
      }), _react.default.createElement(_CinnectaNavbar.default, {
        onShow: function onShow() {
          return _this2.onShowNavigation();
        },
        onClose: function onClose() {
          return _this2.onHideNavigation();
        },
        collapsed: !navigationIsVisible,
        location: activeLocation
      })), _react.default.createElement(_Blanket.default, {
        hideFor: "large",
        primary: true,
        visible: navigationIsVisible,
        onClick: function onClick() {
          return _this2.onHideNavigation();
        },
        onClose: function onClose() {
          return console.log('fechou');
        }
      }), _react.default.createElement("div", css(styles.mainTemplate__frame), _react.default.createElement("div", css(styles.mainTemplate__topBar), _react.default.createElement("button", _extends({}, css(styles.mainTemplate__toggleMobileMenu), {
        onClick: function onClick() {
          return _this2.onShowNavigation();
        }
      }), _react.default.createElement("img", _extends({}, css(styles.mainTemplate__toggleMobileMenu__icon), {
        src: _icoMenu.default,
        alt: "exibir opc\xF5es"
      })))), _react.default.createElement(_CinnectaClientSelector.default, null), _react.default.createElement("div", css(styles.mainTemplate__appContainer), this.props.children)));
    }
  }]);

  return MainTemplate;
}(_react.Component);

var MainTemplateWithStyles = (0, _withStyles.withStyles)(function (_ref) {
  var color = _ref.color,
      units = _ref.units,
      radius = _ref.radius,
      breakpoint = _ref.breakpoint;
  return {
    mainTemplate: {
      boxShadow: 'border-box'
    },
    mainTemplate__navigation: _defineProperty({
      boxShadow: 'border-box',
      position: 'absolute',
      display: 'flex',
      flexDirection: 'row',
      flexShrink: 0,
      flexGrow: 0,
      height: '100vh',
      zIndex: 100,
      transform: 'translate(-100%)',
      transition: 'transform .3s'
    }, breakpoint.large, {
      position: 'relative',
      transform: 'translate(0)'
    }),
    mainTemplate__navigation_visible: {
      transform: 'translate(0)'
    },
    mainTemplate__frame: _defineProperty({
      flex: 1,
      display: 'flex',
      flexDirection: 'column',
      overflow: 'auto',
      position: 'relative'
    }, breakpoint.large, {
      position: 'static'
    }),
    mainTemplate__appContainer: {
      flex: '1 0 0',
      display: 'flex',
      flexDirection: 'column'
    },
    mainTemplate__topBar: _defineProperty({
      fontSize: units(1),
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'flex-start',
      padding: units(1.5),
      boxSizing: 'border-box'
    }, breakpoint.large, {
      display: 'none'
    }),
    mainTemplate__toggleMobileMenu: {
      height: units(2.25),
      borderWidth: 0,
      background: 'none',
      borderRadius: radius,
      padding: 0
    },
    mainTemplate__toggleMobileMenu__icon: {
      width: units(3)
    }
  };
})(MainTemplate);
var MainTemplateWithBreakpoints = (0, _Responsive.withBreakpoints)(MainTemplateWithStyles);
var _default = MainTemplateWithBreakpoints;
exports.default = _default;